%define release 8mdk
%define date 2001_06_12

Summary: A helper application for loading modules for USB devices
Name: hotplug
Version: %{date}
Release: %{release}
Group: System/Configuration/Hardware
License: GPL
Url: http://linux-hotplug.sourceforge.net/
# Generated from cvs.
Source0: %{name}-%{version}.tar.bz2
Source1: hotplug.disk

# We don't want hotplug to initialize the USB core modules, but we
# want to synthesize boot events
Patch0: hotplug-2001_04_24-nousbinit.patch.bz2

# Add support for wireless devices
# Don't ifup interfaces if the network subsystem isn't up
# ifdown network when unregistering.
# Run ifdown on interface unregistration (kill stale DHCP clients)
Patch1: hotplug-2001_06_12-net.patch.bz2
# install only interesting files
Patch2: hotplug-2001_06_12-makefile.patch.bz2
Patch3: hotplug-2001_06_12-wacom.patch.bz2
Patch4: hotplug-2001_06_12-ieee1934.patch.bz2

BuildRoot: %{_tmppath}/%{name}-root
Prereq:	chkconfig
Obsoletes: usbd
Provides: usbd

%description
This package contains the scripts necessary for hotplug Linux support,
and lets you plug in new devices and use them immediately.
Initially, it includes support for USB and PCI (Cardbus) devices, 
and can automatically configure network interfaces.

%prep
%setup -q

%patch0 -p1 -b .nousbinit
%patch1 -p1 -b .net
%patch2 -p1 -b .makefile
%patch3 -p1 -b .wacom
%patch4 -p1 -b .ieee1934

%build
%make -C fxload/ CFLAGS="%optflags"

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install

# mkdir -p $RPM_BUILD_ROOT/etc/hotplug/{usb,generic}
# 
# install %{SOURCE1} $RPM_BUILD_ROOT/etc/hotplug/generic/disk
# 
# chmod 0755 $RPM_BUILD_ROOT/etc/hotplug/generic/*
# 
# cd $RPM_BUILD_ROOT/etc/hotplug/usb
# ln -s ../generic/disk usb-storage
# cd -

%files
%defattr(-,root,root)
/sbin/*
%dir /etc/hotplug
%config(noreplace) /etc/hotplug/*
%dir /var/run/usb
%{_mandir}/*/*
%doc README ChangeLog

%changelog
* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-8mdk
- added ieee1934.agent from cvs (Chmouel)

* Fri Sep 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-7mdk
- storage handling is handled by dynamic now.

* Thu Sep  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-6mdk
- fix for wacom module load

* Sat Sep  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-5mdk
- updated patch1 for wireless devices
- don't install patch backup files

* Thu Aug 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-4mdk
- Run ifdown on interface unregistration (kill stale DHCP clients)
- own /etc/hotplug

* Wed Jul 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-3mdk
- added a call to updfstab when usb-storage is loaded

* Wed Jun 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-2mdk
- noreplace /etc/ files.
- Update description.
- ifdown net when unregister net card.

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-1mdk
- First mandrake release (generated from cvs, spec file inspired from rh).

